#!/usr/bin/env ruby
#
# $Idaemons: /home/cvs/pkgtools/install.rb,v 1.2 2001/02/13 12:48:37 knu Exp $

require 'ftools'
require 'rbconfig'
include Config

sitelibdir = "%s/%s.%s" % CONFIG.indices('sitedir', 'MAJOR', 'MINOR')
sbindir = CONFIG['sbindir']

[
  'pkg.rb', 'pkgdb.rb', 'pkginfo.rb', 'pkgversion.rb',
  'ports.rb', 'portsdb.rb', 'portinfo.rb'
].each do
  |file|
  File.install file, sitelibdir, 0644, true
end

['portupgrade'].each do
  |file|
  File.install file, sbindir, 0755, true
end
